mob/proc/RenderScreen()
	// This will clear all of the existing stuff on the player's screen
	for(var/turf/T in range(src,11))
		T.text = " "
		T.opacity = 0
		T.density = 0
	var/s = 0  // This will keep track of how far across the screen we are
	for(var/a = angle-31, a < angle+32, a += 3)  // We'll go through every third degree in the player's FOV
		s++
		var/rx = px  // The ray starts out at the player's location
		var/ry = py
		var/dist = 0  // How far away the turf we hit is from the player
		var/turf/T = locate(rx, ry, 1)  // We'll keep on moving the ray until it hits a opaque turf
		if(T)
			while(!T.opacity)
				rx = rx + cos(a)  // Moving the ray...
				ry = ry + sin(a)
				dist++  // We're getting futher away...
				T = locate(rx, ry, 1)

			for(var/b = 1+dist, b < 22-dist, b++) // Draw a vertical line, depending on the distance
				var/turf/S = locate(s, b, 2)
				S.text = T.text  // Change it to the turf's text

client  // We're overriding the arrow key procs so that we can draw out our screen
	East()
		mob.angle += 6  // Rotate to the right 6 degrees
		mob.RenderScreen()  // Redraw the updated screen
	West()
		mob.angle -= 6  // Rotate to the left 6 degrees
		mob.RenderScreen()  // Redraw the updated screen
	North()
		mob.px += cos(mob.angle)  // This moves the character forward
		mob.py += sin(mob.angle)  // Multiply this amount to increase/decrease the speed
		mob.RenderScreen()  // Redraw the updated screen
	South()
		mob.px -= cos(mob.angle)  // This moves the character backward
		mob.py -= sin(mob.angle)  // Multiply this amount to increase/decrease the speed
		mob.RenderScreen()  // Redraw the updated screen
